from stfdigital.__version__ import __version__
from stfdigital.api_base import API
from stfdigital.http.discovery.response import QueryResponse


async def cluster_connector(api: API, contexto: str, path: str) -> str:
    resp = await api.discovery.find_service(contexto)  # type: ignore
    service_response = QueryResponse(resp)
    return f"http://{service_response.service_address}:{service_response.service_port}{path}"


async def external_connector(api: API, contexto: str, path: str) -> str:
    return f"https://digital.stf.jus.br/{contexto}{path}"
